Bug 737808 - net ads join does not use the default krb5 credentials cache
Summary: net ads join does not use the default krb5 credentials cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On:
Blocks: 743047 750914
TreeView+ depends on / blocked
 
Reported: 2011-09-13 07:22 UTC by Marko Myllynen
Modified: 2011-12-06 16:26 UTC (History)
5 users (show)

Fixed In Version: samba-3.5.10-114.el6
Doc Type: Bug Fix
Doc Text:
Cause: The net utility used for joining to Windows domains did not use the existing Kerberos credential cache. Consequence: Users could not re-use their existing tickets to join Windows domains using Kerberos. Fix: "net" has been fixed to use existing tickets from the default credential cache. Result: Joining using "net -k" works with existing Kerberos tickets.
Clone Of:
Environment:
Last Closed: 2011-12-06 16:26:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1519 normal SHIPPED_LIVE samba bug fix update 2011-12-06 00:50:31 UTC

Description Marko Myllynen 2011-09-13 07:22:20 UTC
Description of problem:
net ads should try to use the default krb5 credentials cache in case KRB5CCNAME is not defined. Lack of this is causing great confusion for users (especially since the error message can be a bit misleading).

# kinit admin
Password for admin@DOMAIN.EXAMPLE.COM: 
# net ads join -k
Failed to join domain: failed to lookup DC info for domain 'DOMAIN.EXAMPLE.COM' over rpc: NT_STATUS_NO_SUCH_FILE
# KRB5CCNAME=/tmp/krb5cc_0 net ads join -k
Using short domain name -- DOMAIN
Joined 'SMBTEST1' to realm 'DOMAIN.EXAMPLE.COM
# 

Version-Release number of selected component (if applicable):
samba-common-3.5.6-86.el6_1.4.x86_64

Comment 1 Marko Myllynen 2011-09-13 07:28:41 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=737810.

Comment 20 Guenther Deschner 2011-11-25 13:47:38 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The net utility used for joining to Windows domains did not use the existing Kerberos credential cache.

Consequence: Users could not re-use their existing tickets to join Windows domains using Kerberos.

Fix: "net" has been fixed to use existing tickets from the default credential cache.

Result: Joining using "net -k" works with existing Kerberos tickets.

Comment 21 errata-xmlrpc 2011-12-06 16:26:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1519.html


Note You need to log in before you can comment on or make changes to this bug.